com.vuze.plugins.mlab.tools.ndt.swingemu

## Class JCheckBox

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JCheckBox

-     public class JCheckBox
      extends Component

  Emulation of javax.swing.JCheckBox for the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of a checkbox component to allow the NDT tool to run in headless environments. The checkbox maintains selection state but provides no actual visual representation.

  All operations except selection state tracking are no-ops, maintaining API compatibility without requiring an actual graphical display system.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `selected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCheckBox(String str)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(ActionListener l)`
    `boolean` | `isSelected()`
    `void` | `setSelected(boolean b)`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, add, add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selected

          boolean selected

  - ### Constructor Detail

    - #### JCheckBox

          public JCheckBox(String str)

  - ### Method Detail

    - #### addActionListener

          public void addActionListener(ActionListener l)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean b)